# log4cplus::spi::BaseFactory Class Reference

This is the base class for all factories. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::BaseFactory:

[legend]
List of all members.

## Public Member Functions

virtual | ~BaseFactory ()
virtual log4cplus::tstring | getTypeName ()=0

## Detailed Description

This is the base class for all factories.

Definition at line 38 of file factory.h.

## Constructor & Destructor Documentation

virtual log4cplus::spi::BaseFactory::~BaseFactory | ( |  | ) | `[inline, virtual]`

| Definition at line 40 of file factory.h.

## Member Function Documentation

virtual log4cplus::tstring log4cplus::spi::BaseFactory::getTypeName | ( |  | ) | `[pure virtual]`

| Implemented in log4cplus::spi::AppenderFactory, log4cplus::spi::LayoutFactory, and log4cplus::spi::FilterFactory.

The documentation for this class was generated from the following file:

- factory.h